Subject: RE: [ipcdn] multicast without BPI?

From: "Goren, Aviv" <[email-masked]>
Date: Tue, 26 Sep 2000 19:11:59 -0700

Kaz,

Section 3.3.1 does not refer to multicast forwarding but to IGMP
requirements.
Together, BPI and 3.3.1 are completing the IGMP (signaling) and forwarding
(authentication and group definition) picture.
I believe the question is still un-answered: how can a group be provisioned
to be forwarded by the CMTS if BPI MIB is disabled ?

As for your question Kaz, "If the BPI+ is turned off, how can we block the
IP multicast packet forwarding to a specific CM (or CPE beyond the CM)?" I
believe the answer is "we can not" ! if BPI is disabled all modem can get a
multicast stream since traffic is not encrypted and is addressed to a
multicast MAC address.

My proposal will therefore be:

BPI is used for modem membership. BPI group definition is used only with
respect to BPI authentication.
A new MIB is to be proposed for group definition. The new MIB will define
the group for forwarding.
When BPI is disabled, all modems are receiving the multicast stream.

-Aviv.

-----Original Message-----
From: Kaz Ozawa [mailto:[email-masked]]
Sent: Tuesday, September 26, 2000 11:08 AM
To: Anna Ziper; [email-masked]; [email-masked];
[email-masked]
Cc: [email-masked]
Subject: RE: [ipcdn] multicast without BPI?

I believe that the IP Multicast works without BPI+ in DOCSIS 1.1.
The CMTS and the CM must be compliant to the section 3.3.1 of the DOCSIS
RFIv1.1
spec.
Those requirements are independent from the BPI+ and the BPI+ can be either
turned on nor off.

If the BPI+ is turned on, the BPI+ MIB's multicast related tables can be
used to
manage
the authorization of the cable modems per SAID.  However, it's not a
requirement
in the
DOCSIS.

If we turn off the BPI+ in DOCSIS 1.1, I believe that all the BPI+ MIB
tables
are not
required.  However, I think there is no problem to implement if a vendor
want to
do so.

By the way, If the BPI+ is turned off, how can we block the IP multicast
packet
forwarding to a specific CM (or CPE beyond the CM)?

Thanks,
kaz

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Anna Ziper
> Sent: Friday, September 22, 2000 8:06 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: [ipcdn] multicast without BPI?
>
>
>
> Hi everybody,
>
>     Can multicast work without BPI?  I.e. packages in multicast can be
> non encrypted?
>     If yes, what happens with a modem authorization per multicast group?
>
>     Can we still use Bpi multicast mib tables for authorization purpose?
>
> Thanks,
> Anna
>
>
> _______________________________________________
> IPCDN mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/ipcdn
>
>

_______________________________________________
IPCDN mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/ipcdn